For Developers
Get Bell Schedule
This model is part of the v2.5 API update which is currently in beta and therefore subject to change.
GET https://ed.link/api/v2/graph/bell_schedules/:bell_schedule_id
Retrieve information about a specific Bell Schedule.
Request Parameters
| Parameter | Location | Type | Description |
|---|---|---|---|
bell_schedule_id | url | string | The UUID of the desired Bell Schedule. |
Sample Request
axios.get('https://ed.link/api/v2/graph/bell_schedules/00000000-0000-0000-0000-000000000000', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": {
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-05T20:32:40.454Z",
"updated_date": "2021-07-12T21:44:23.126Z",
"name": "Regular",
"description": "This is the regular bell schedule on most instructional days."
},
"$request": "00000000-0000-0000-0000-000000000000"
}